/* FILE:    HC_Exp_Kit_LM35_Temp_Sens_Example
   DATE:    19/03/13
   VERSION: 0.1

REVISIONS:

19/09/13 Created version 0.1

This is an example of how to use the LM35 temperature sensor found within the 
Hobby Components microcontroller experimenters kit (HCKITS0013).

This example sketch reads the temperature via one of the Arduino's analogue
pins (A0) and after scaling the reading to oC, outputs the result to the serial
port. 

To connect the LM35 to an Arduino development board please follow the pinout
below:

LM35    ARDUINO

Pin 1   +5V
Pin 2   A0
Pin 3   GND

You may copy, alter and reuse this code in any way you like, but please leave
reference to HobbyComponents.com in your comments if you redistribute this code.
This software may not be used directly for the purpose of selling products that
directly compete with Hobby Components Ltd's own range of products.

THIS SOFTWARE IS PROVIDED "AS IS". HOBBY COMPONENTS MAKES NO WARRANTIES, WHETHER
EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, ACCURACY OR LACK OF NEGLIGENCE.
HOBBY COMPONENTS SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR ANY DAMAGES,
INCLUDING, BUT NOT LIMITED TO, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY
REASON WHATSOEVER.
*/


/* Define the analogue pin used to read the temperature sensor (A0) */
#define LM35Pin 0

/* Stores the current temperature reading */
float Temperature;

void setup()
{
  Serial.begin(9600); 
  /* Set the analogue reference used by the ADC inputs 
     to the internal 1.1V reference */ 
  analogReference(INTERNAL);
}

/* Main Program */
void loop()
{
  /* Read the analogue pin and scale the reading to degrees centigrade 
     (10mV per oC / (1.1V Int Ref / 1024 ADC resolution)) */
  Temperature = analogRead(LM35Pin) / 9.31;
  Serial.print("Current temperature (oC): ");
  Serial.println(Temperature);
  
  /* Wait 1 second before reading again */
  delay(1000);
}
